Package org.apache.tools.ant.taskdefs.condition

## Class IsLastModified.CompareMode

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.condition.IsLastModified.CompareMode

- Enclosing class:
    IsLastModified

      public static class IsLastModified.CompareMode
      extends EnumeratedAttribute

  describes comparison modes.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompareMode()` | creates a CompareMode instance of type equals
    `CompareMode​(java.lang.String s)` | creates a comparemode instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompareMode

          public CompareMode()

      creates a CompareMode instance of type equals

    - #### CompareMode

          public CompareMode​(java.lang.String s)

      creates a comparemode instance
      Parameters:
        `s` - one of the authorized values for comparemode

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      This is the only method a subclass needs to implement..
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.